# Déploiement de Odoo

- Autrices : Aleks, Nas
- Date : 28 Septembre 2021
- Ressources : [https://sources.le-filament.com/lefilament/odoo_docker](https://sources.le-filament.com/lefilament/odoo_docker)

## Dépendances :

```sh
apt update && apt dist-upgrade
sudo apt-get install apt-transport-https ca-certificates curl gnupg lsb-release docker docker-compose
```

## Obtenir odoo CBD:


```
sh build.sh
```

## Redéployer

Un fichier de configuration **.env** (remplacer MOT_DE_PASSE par le votre) doit-être présent:
```
ODOO_PORT=8012
DB_NAME=odoo
DB_USER=odoo
DB_PASSWORD=MOT_DE_PASSE
DB_PORT=5432

```

Il sera chargé automatiquement par l'execution de *build.sh*

## Modules

### Résolution

Si les modules n'apparaissent pas, cette commande à chaud peut résoudre le problème

`docker-compose exec odoo python3 /opt/odoo/odoo/odoo-bin -c /opt/odoo/etc/odoo.conf -init account_menu --stop-after-init --no-http --without-demo=all --database=odoo`